aboutsummaryrefslogtreecommitdiff
path: root/scripts/license
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-12-03 22:04:38 +0200
committerKimplul <kimi.h.kuparinen@gmail.com>2024-12-03 22:04:38 +0200
commit2253da61e9b3dd5408bed182ea08e5270156c17e (patch)
tree298bb06e681ec5366faa539906cae6e805fe5862 /scripts/license
downloadfwd-2253da61e9b3dd5408bed182ea08e5270156c17e.tar.gz
fwd-2253da61e9b3dd5408bed182ea08e5270156c17e.zip
initial commit
+ Lots of code copied from ek, so didn't have to start from scratch, but might mean there are some quirks here and there that made sense in ek but not necessarily here.
Diffstat (limited to 'scripts/license')
-rwxr-xr-xscripts/license16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/license b/scripts/license
new file mode 100755
index 0000000..53bd5da
--- /dev/null
+++ b/scripts/license
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+SPDX="/* SPDX-License-Identifier: copyleft-next-0.3.1 */"
+
+for f in "$@"
+do
+ if [ "$(head -1 "$f")" != "${SPDX}" ]
+ then
+ sed -i "1i${SPDX}\n" "$f"
+ fi
+
+ if ! grep 'Copyright' "$f" > /dev/null
+ then
+ echo "Missing copyright info in $f"
+ fi
+done